<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>cn.axzo.workflow</groupId>
        <artifactId>workflow-engine</artifactId>
        <version>${revision}</version>
    </parent>
    <artifactId>workflow-engine-form</artifactId>
    <packaging>jar</packaging>
    <name>Workflow Engine Form</name>
    <properties>
        <flowable.version>6.7.2</flowable.version>
    </properties>

    <dependencies>
        <!-- 引入 BPMN 引擎 -->
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-spring-boot-starter-basic</artifactId>
            <version>${flowable.version}</version>
        </dependency>

        <!-- 引入 Form 引擎(基于 Flowable) -->
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-form-spring</artifactId>
            <version>${flowable.version}</version>
        </dependency>

        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-form-spring-configurator</artifactId>
            <version>${flowable.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.axzo.workflow</groupId>
            <artifactId>workflow-engine-api</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.axzo.workflow</groupId>
            <artifactId>workflow-engine-common</artifactId>
        </dependency>
    </dependencies>
</project>
